# synfigapp::PushMode Class Reference

Class that changes the mode of a CanvasInterface, and restores it on destruction. More...

`#include <canvasinterface.h>`

List of all members.

## Public Member Functions

| PushMode (etl::loose_handle< CanvasInterface > c, CanvasInterface::Mode mode)
| ~PushMode ()

## Detailed Description

Class that changes the mode of a CanvasInterface, and restores it on destruction.

## Constructor & Destructor Documentation

synfigapp::PushMode::PushMode | ( | etl::loose_handle< CanvasInterface > | c,
|  | CanvasInterface::Mode | mode |
| ) |  |  | `[inline]`

References synfigapp::CanvasInterface::set_mode().

synfigapp::PushMode::~PushMode | ( |  | ) | `[inline]`

References synfigapp::CanvasInterface::set_mode().

The documentation for this class was generated from the following file:

- canvasinterface.h